package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.upgrade.result.ClientResult;
import com.qmth.distributed.print.business.entity.ClientUpgrade;
import com.qmth.distributed.print.business.entity.ExamTaskWhole;
import com.qmth.teachcloud.common.enums.clientpackage.ClientPackageEnum;
import org.springframework.web.multipart.MultipartFile;

public interface ExamTaskWholeService extends IService<ExamTaskWhole> {

   void checkAndCreateTask(Long examId, Long courseId, String paperNumber);

   ExamTaskWhole getByExamIdAndCourseIdAndPaperNumber(Long examId, Long courseId, String paperNumber);

   String getWholePdf(Long examId, Long courseId, String paperNumber);

   void mergeWholePdf(ExamTaskWhole examTaskWhole);
}
